diff --git a/src/password-store.sh b/src/password-store.sh
index 77f3eda..ce3f7fb 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -99,7 +99,7 @@ set_gpg_recipients() {
   verify_file "$current"
 
   local gpg_id
-	while read -r gpg_id; do
+  grep -Eo '^[^#]+' | grep -Ev '^\s*$' | while read -r gpg_id; do
     GPG_RECIPIENT_ARGS+=( "-r" "$gpg_id" )
     GPG_RECIPIENTS+=( "$gpg_id" )
   done < "$current"
